summaryrefslogtreecommitdiff
path: root/package.json
diff options
context:
space:
mode:
Diffstat (limited to 'package.json')
-rw-r--r--package.json51
1 files changed, 25 insertions, 26 deletions
diff --git a/package.json b/package.json
index fbffb31..0bb22e4 100644
--- a/package.json
+++ b/package.json
@@ -4,37 +4,36 @@
"description": "An extremely basic POC for GPG signed JavaScript. Currently only verifies signatures are attached to scripts. If the JavaScript isn't signed, or the signature isn't valid, the JavaScript isn't executed.",
"main": "index.js",
"dependencies": {
- "bluebird": "^3.5.2",
- "bootstrap": "^4.1.3",
- "bower": "^1.8.4",
+ "@material-ui/core": "^3.9.2",
+ "@material-ui/icons": "^3.0.2",
+ "bluebird": "^3.5.3",
"jquery": "^3.3.1",
- "kbpgp": "^2.0.79",
- "popper.js": "^1.14.4",
- "react": "^16.5.1",
- "react-dom": "^16.5.1",
- "react-router-dom": "^4.3.1",
- "typeface-open-sans-condensed": "0.0.54"
+ "kbpgp": "^2.1.0",
+ "react": "^16.8.4",
+ "react-dom": "^16.8.4",
+ "react-router-dom": "^4.4.0",
+ "typeface-open-sans-condensed": "^0.0.72"
},
"devDependencies": {
- "@types/bluebird": "^3.5.24",
- "@types/react": "^16.4.14",
- "@types/react-dom": "^16.0.7",
+ "@types/bluebird": "^3.5.26",
+ "@types/react": "^16.8.8",
+ "@types/react-dom": "^16.8.2",
"@types/react-router-dom": "^4.3.1",
- "css-loader": "^1.0.0",
- "node-sass": "^4.9.3",
- "prettier": "^1.14.3",
+ "css-loader": "^1.0.1",
+ "node-sass": "^4.11.0",
+ "prettier": "^1.16.4",
"sass-loader": "^7.1.0",
- "style-loader": "^0.23.0",
- "ts-loader": "^5.1.1",
- "tslint": "^5.11.0",
- "tslint-config-prettier": "^1.15.0",
- "typescript": "^3.0.3",
- "typestrict": "^1.0.0",
- "url-loader": "^1.1.1",
- "web-ext": "^2.9.1",
- "web-ext-types": "^2.1.0",
- "webpack": "^4.19.0",
- "webpack-cli": "^3.1.0"
+ "style-loader": "^0.23.1",
+ "ts-loader": "^5.3.3",
+ "tslint": "^5.14.0",
+ "tslint-config-prettier": "^1.18.0",
+ "typescript": "^3.3.3333",
+ "typestrict": "^1.0.2",
+ "url-loader": "^1.1.2",
+ "web-ext": "^3.0.0",
+ "web-ext-types": "^3.1.0",
+ "webpack": "^4.29.6",
+ "webpack-cli": "^3.3.0"
},
"scripts": {
"test": "echo \"Error: no test specified\" && exit 1",